Regions

IONOS Cloud object storage regions they define the location of the bucket, can also be used as LocationConstraint for bucket creation.

This tag groups all operations for regions.

Retrieve all Regions

get

This endpoint enables retrieving all Regions using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested Regions successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Region resources.

Example: 1bcda4f5-f78b-532d-976d-183e3437af91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Region resources.

Example: /regions
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/regions

Retrieve Region

get

Returns the Region by Region.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
regionstringRequired

The Region of the Region.

Example: eu-central-3
Responses
chevron-right
200

Getting Region was successful.

application/json
idstringRequired

The Region of the Region.

Example: eu-central-3
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Region.

Example: /regions/eu-central-3
metadataobjectRequired
get
/regions/{region}

Last updated

Was this helpful?